/**
 * This class is used to sort a numerical
 * array of type double or integer
 * @author Jered McClure
 */
public class arrayBubbleSort {
	
	/**
	 * Method sorts an array of type double 
	 * in ascending order.
	 * @param array
	 */
	public static void bubbleSort(double[] array){
		//store the array length
		int arrayLength = array.length;
		//store the number of comparisons to make
		int comparisonsToMake = arrayLength-1;
		
		//While there are still elements in the array
		for(int a = 0; a < arrayLength; ++a){
			//compare the current element with the next
			//element. If the current element is greater
			//than the next element. Swap the two elements.
			//Repeat until all elements have been sorted.
			for(int b = 0 ; b < comparisonsToMake; ++b){
				if(array[b] > array[b + 1]){
					double temp = array[b];
					array[b] = array[b + 1];
					array[b + 1] = temp;
				}//end if
			}//end for loop
			--comparisonsToMake;
		}//end for loop
		
	}//end bubbleSort
	
	/**
	 * Method sorts an array of type integer
	 * in ascending order.
	 * @param array
	 */
	public static void bubbleSort(int[] array){
		//store the array length
		int arrayLength = array.length;
		//store the number of comparisons to make
		int comparisonsToMake = arrayLength-1;
		
		//While there are still elements in the array
		for(int a = 0; a < arrayLength; ++a){
			//compare the current element with the next
			//element. If the current element is greater
			//than the next element. Swap the two elements.
			//Repeat until all elements have been sorted.
			for(int b = 0 ; b < comparisonsToMake; ++b){
				if(array[b] > array[b + 1]){
					int temp = array[b];
					array[b] = array[b + 1];
					array[b + 1] = temp;
				}//end if
			}//end for loop
			--comparisonsToMake;
		}//end for loop
		
	}//end bubbleSort
	
}//END CLASS
