/**
 * This is a demo class to show array sorting
 * using the arrayBubbleSort method.
 * @author Jered
 */
public class arraySorting {
	
	public static void main(String[] args) {
		
		Menu menu = new Menu();//used to gather user input
		boolean go = true;//control for system loop
		String userString;//used to store user string input
		
		while(go){//while the user chooses to continue
			
			//instantiate a new array
			double[] numbers = new double[12];
			//store that array's length
			int arrayLength = numbers.length;
			//used as a control
			int element = 0;
			//used to store user double input
			double userInput;
			
			//Tell the user what is required for input
			System.out.println("Please enter a number for each element.");
			
			//While the element attribute is less than
			//the length of the array, gather user input
			//and increment the element attribute.
			while(element < arrayLength ){
				System.out.print("Element " + element + ": ");
				userInput = menu.MenuDouble();
				
				numbers[element] = userInput;
				
				element++;
			}//end while loop
			
			//sort the array in ascending order using
			//the arrayBubbleSort.bubbleSort() method
			arrayBubbleSort.bubbleSort(numbers);
			
			//both of these attributes act as controls
			//for the following loop structure
			int d = 1;
			int e = 1;
			
			//output the array in a formatted manner
			System.out.print("\nThe array is:\t{");
			for(int c = 0; c < arrayLength; ++c){
				System.out.print(numbers[c]);
	
				if(c<arrayLength - 1){
					System.out.print(",\t");
				}//end if
				if((d == 4) && (e != 3)){
					System.out.print("\n\t\t ");
					d=0;
					e++;
				}//end if
				d++;
			}//end for loop
			System.out.print("}\n");
			
			//Ask the user if they would like to continue
			//the application, if Y, loop the application,
			//if N break out of the loop.
			userString = menu.MenuString("\nWould you like to coninue");
			if(userString.equalsIgnoreCase("N")){
				break;
			}//end if
		}//end while loop

	}//end main

}//END CLASS
